## GstLevelFilter GstLevelFilter — An audio level filter |

## Synopsis

    #include <gst/filters/gst-level-filter.h>

                        GstLevelFilter;
    GstLevelFilter *    gst_level_filter_new                (void);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstLevelFilter

## Signals

      "level"                                          : Run Last

## Description

This filter will report the audio level on a pipeline by sending a GstLevelFilter::level signal with the RMS level value in dB.

## Details

### GstLevelFilter

    typedef struct _GstLevelFilter GstLevelFilter;

An audio level filter

### gst_level_filter_new ()

    GstLevelFilter *    gst_level_filter_new                (void);

Creates a new level filter. This filter will add a 'level' element to the pipeline and will transform its result from the GstMessage on the bus into a signal with the RMS average for all channels.

Returns : | A new GstLevelFilter See also: "level" See also: `gst_filter_handle_message()`

## Signal Details

### The `"level"` signal

    void                user_function                      (GstLevelFilter *self,
                                                            gdouble         level,
                                                            gpointer        user_data)      : Run Last

This signal is emitted when sound is transmitted and determines the level of sound in dB.

`self` : | GstLevelFilter that emitted the signal
`level` : | The RMS level value in dB
`user_data` : | user data set when the signal handler was connected.